6.0.0-git
2018-12-16

[#14179] Administration -> Configuration for sites with a vhost config should modify conf-<vhost>.php
Summary Administration -> Configuration for sites with a vhost config should modify conf-<vhost>.php
Queue Horde Base
Queue Version Git master
Type Enhancement
State Feedback
Priority 1. Low
Owners
Requester mike.gabriel (at) das-netzwerkteam (dot) de
Created 2015-12-04 (1108 days ago)
Due
Updated 2016-02-11 (1039 days ago)
Assigned
Resolved
Milestone
Patch No

History
2016-02-11 15:42:45 Jan Schneider Comment #5 Reply to this comment
From the other developers
2016-01-26 07:49:58 mike (dot) gabriel (at) das-netzwerkteam (dot) de Comment #4 Reply to this comment
Hi Jan,

you set this issue (#14179) to status "Feedback". Is that a question 
into the round of developers? Or do you need any feedback from me as 
the wishlist bug reporter?

Thanks+Greets,
Mike
2016-01-25 12:00:10 Jan Schneider State ⇒ Feedback
 
2015-12-04 10:56:44 mike (dot) gabriel (at) das-netzwerkteam (dot) de Comment #3 Reply to this comment
Hi Jan,
How would you differentiate between vhost admins and a global admin 
that actually wants to edit the central conf.php? At runtime, all 
conf.php files are merged, so we only know if, at this point, 
someone is admin. Not if he is admin for a certain vhost.
I would not differentiate between global and vhost admins.

One site scenario could be:

https://default.example.com/horde does only have a conf.php and _no_ 
vhost config. The admin of default.example.com can globally 
administrate the Horde installation.

vhost1.example.com/horde provides a horde/conf-vhost1.example.com.php 
file and in this file another admin is shipped by adding 
$conf['auth']['admins'] to this horde/conf-vhost1.example.com.php. 
This should override the global admin privilege and allow this vhost 
admin to configure his vhost.

Another site scenario could be:

All (default) conf.php files are edited by hand (and are derived from 
a default Horde installation) and all Horde instances are vhost 
instances. So configuration of a vhost instance is mainly done via the 
conf-<vhost>.php files. The vhost config files should only stored 
parameter that are not set in the default conf.php.

If the global admin wants to modify vhosts, he needs to do this on 
config file level.

Again, we need to provide the $conf['auth']['admins'] array() 
populated with appropriate site admin logins.

I am aware that this could be fine-granulaed more and more (e.g. there 
could be ACLs in the conf.php file so that some conf.php params are 
not editable in vhosts, etc.).

The point is that at the moment, a Horde service provider cannot 
delegate Horde administration in vhost scenarios at all.
2015-12-04 08:34:33 Jan Schneider Comment #2 Reply to this comment
How would you differentiate between vhost admins and a global admin 
that actually wants to edit the central conf.php? At runtime, all 
conf.php files are merged, so we only know if, at this point, someone 
is admin. Not if he is admin for a certain vhost.
2015-12-04 07:52:36 mike (dot) gabriel (at) das-netzwerkteam (dot) de Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Administration -> Configuration for sites with a vhost config should modify conf-<vhost>.php
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ No
Reply to this comment
I run a Horde site with various vhost setups. For individual vhost 
configuration, I put files into /etc/horde/*/:

   conf-<vhost>.php

Next, I would like to deligate administration of the <vhost> instances 
to admins on site. So, any changes performed under

   Settings -> Administration -> Configuration

should end up in conf-<vhost>.php (and only those options that differ 
from the default conf.php).

However, admins of <vhost> instances always modify conf.php and thus 
interfere with other <vhost> instances.


Saved Queries